MySQLi Support #362

Closed
mpettitt opened this Issue Jun 29, 2011 · 2 comments

Comments

Projects
None yet
3 participants

Has anyone made it possible to use the MySQLi extension, in particular prepared statements? We have a large app that makes extensive use of them, and currently we can't even run it using HipHop due to the lack of MySQLi support, although it does compile successfully. Rewriting to use either PDO or the legacy MySQL extension isn't an option.

No solution found till now. I am working now by patching Drupal code with respect to hiphop mySQLi support...

Contributor

ptarjan commented May 13, 2013

We're closing out all bugs older than 2 months. http://www.hiphop-php.com/wp/?p=575

If this is still an issue, please re-open it, and in order of goodness:

  1. Give detailed repro steps
  2. Write a test case in hphp/tests/quick (run it with hphp/tests/run) and send the pull request
  3. Fix it in a pull request

@ptarjan ptarjan closed this May 13, 2013

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment